baz_merge.h File Reference
`#include <gnuradio/sync_block.h>`
`#include <vector>`
Include dependency graph for baz_merge.h:

Go to the source code of this file.

## Classes

class | baz_merge
| square2 a stream of floats. More...

## Functions

BAZ_API baz_merge_sptr | baz_make_merge (int item_size, float samp_rate, int additional_streams=1, bool drop_residual=true, const char *length_tag="length", const char *ignore_tag="ignore", bool verbose=false)
| Return a shared_ptr to a new instance of baz_merge.

## Variables

class BAZ_API | baz_merge

## Function Documentation

## baz_make_merge()

BAZ_API baz_merge_sptr baz_make_merge | ( | int | item_size,
|  | float | samp_rate,
|  | int | additional_streams = `1`,
|  | bool | drop_residual = `true`,
|  | const char * | length_tag = `"length"`,
|  | const char * | ignore_tag = `"ignore"`,
|  | bool | verbose = `false`
| ) |  |

Return a shared_ptr to a new instance of baz_merge.

To avoid accidental use of raw pointers, baz_merge's constructor is private. howto_make_square2_ff is the public interface for creating new instances.

## Variable Documentation

## baz_merge

class BAZ_API baz_merge